### Hierarchy

- JsonFormsIonicLayout
  - CategorizationMenuLayoutRenderer

### Implements

- OnInit
- OnDestroy

## Index

### Constructors

- constructor

### Properties

- elements
- initialized
- initializers
- nav
- ngRedux
- path
- schema
- selectedCategory
- subscription
- uischema

### Methods

- canGoBack
- getOwnProps
- goBack
- mapAdditionalProps
- ngOnDestroy
- ngOnInit
- selectCategory

## Constructors

### constructor

- new CategorizationMenuLayoutRenderer(ngRedux: NgRedux<JsonFormsState>): CategorizationMenuLayoutRenderer

- Overrides JsonFormsIonicLayout.constructor

  - Defined in layouts/categorization/categorization-menu-layout.ts:58

  #### Parameters

  - ##### ngRedux: NgRedux<JsonFormsState>

  #### Returns CategorizationMenuLayoutRenderer

## Properties

### elements

elements: UISchemaElement[]

Inherited from JsonFormsIonicLayout.elements

- Defined in layouts/JsonFormsIonicLayout.ts:14

### initialized

initialized: boolean

- Defined in layouts/categorization/categorization-menu-layout.ts:58

### initializers

initializers: any[] = []

Inherited from JsonFormsIonicLayout.initializers

- Defined in layouts/JsonFormsIonicLayout.ts:16

### nav

nav: NavController

- Defined in layouts/categorization/categorization-menu-layout.ts:56

### Protected ngRedux

ngRedux: NgRedux<JsonFormsState>

Inherited from JsonFormsIonicLayout.ngRedux

- Defined in layouts/JsonFormsIonicLayout.ts:18

### path

path: string

Inherited from JsonFormsIonicLayout.path

Overrides JsonFormsBaseRenderer.path

- Defined in layouts/JsonFormsIonicLayout.ts:13

### schema

schema: JsonSchema

Inherited from JsonFormsBaseRenderer.schema

- Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:4

### selectedCategory

selectedCategory: Category

- Defined in layouts/categorization/categorization-menu-layout.ts:57

### subscription

subscription: Subscription

Inherited from JsonFormsIonicLayout.subscription

- Defined in layouts/JsonFormsIonicLayout.ts:15

### uischema

uischema: UISchemaElement

Inherited from JsonFormsBaseRenderer.uischema

- Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:3

## Methods

### canGoBack

- canGoBack(): boolean

- - Defined in layouts/categorization/categorization-menu-layout.ts:79

  #### Returns boolean

### Protected getOwnProps

- getOwnProps(): OwnPropsOfRenderer

- Inherited from JsonFormsBaseRenderer.getOwnProps

  - Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:6

  #### Returns OwnPropsOfRenderer

### goBack

- goBack(): Promise<any>

- - Defined in layouts/categorization/categorization-menu-layout.ts:89

  #### Returns Promise<any>

### mapAdditionalProps

- mapAdditionalProps(): void

- - Defined in layouts/categorization/categorization-menu-layout.ts:64

  #### Returns void

### ngOnDestroy

- ngOnDestroy(): void

- Inherited from JsonFormsIonicLayout.ngOnDestroy

  - Defined in layouts/JsonFormsIonicLayout.ts:37

  #### Returns void

### ngOnInit

- ngOnInit(): void

- Inherited from JsonFormsIonicLayout.ngOnInit

  - Defined in layouts/JsonFormsIonicLayout.ts:22

  #### Returns void

### selectCategory

- selectCategory(category: Category): void

- - Defined in layouts/categorization/categorization-menu-layout.ts:74

  #### Parameters

  - ##### category: Category

  #### Returns void

Generated using TypeDoc